Try absolute autoloader path first
[php-sqllint.git] / bin / php-sqllint
1 #!/usr/bin/env php
2 <?php
3 /**
4  * SQL linter (syntax checker) written in PHP
5  *
6  * PHP version 5
7  *
8  * @category Tools
9  * @package  PHP-SQLlint
10  * @author   Christian Weiske <cweiske@cweiske.de>
11  * @license  http://www.gnu.org/licenses/agpl.html GNU AGPL v3
12  * @link     http://cweiske.de/php-sqllint.htm
13  */
14 namespace phpsqllint;
15
16 if (file_exists(__DIR__ . '/../vendor/autoload.php')) {
17     //local git checkout
18     include_once __DIR__ . '/../vendor/autoload.php';
19 } else if (file_exists('vendor/autoload.php')) {
20     //dependency composer installation
21     include_once 'vendor/autoload.php';
22 }
23
24 if (file_exists(__DIR__ . '/../src/phpsqllint/Autoloader.php')) {
25     include_once __DIR__ . '/../src/phpsqllint/Autoloader.php';
26     Autoloader::register();
27 }
28
29 $cli = new Cli();
30 $cli->run();
31 ?>